/*==========================================================
 * gedcheck.h -- Header for GEDCOM validation
 * Copyright(c) 1994 by T.T. Wetmore IV; all rights reserved
 *   3.0.0 - 28 May 94
 *========================================================*/

#define INDI_REC 0
#define FAM_REC  1
#define SOUR_REC 2
#define EVEN_REC 3
#define OTHR_REC 4
#define UNKN_REC 5
#define IGNR_REC 6

#define IS_MALE   1
#define IS_FEMALE 2
#define BE_MALE   4
#define BE_FEMALE 8

#define KNOWNTYPE(t) ((Type(t)>=INDI_REC) && (Type(t)<=OTHR_REC))

typedef char CHAR;

typedef struct {
	CHAR type;
	CHAR sex;
	CHAR male;
	CHAR fmle;
	INT dex;
	INT line;
	STRING key;
	STRING new;
} *ELMNT;

#define Type(e) ((e)->type)
#define Key(e)  ((e)->key)
#define New(e)  ((e)->new)
#define Dex(e)  ((e)->dex)
#define Line(e) ((e)->line)
#define Sex(e)  ((e)->sex)
#define Male(e) ((e)->male)
#define Fmle(e) ((e)->fmle)

extern ELMNT *index_data;
extern INT xref_to_index();
